For the complete documentation index, see llms.txt. This page is also available as Markdown.

/releases

Get all releases

get
/releases

Get all releases that have been transferred to you. This includes all data except the pincode.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
limitintegerOptional

The maximum number of records to return

pageintegerOptional

Page number, to be used with limit

sincestringOptional

Timestamp to limit the releases to those modified since then

blstringOptional

The bill of lading number

containerstringOptional

The container number

Responses
200

Successful response

application/json
addressstringOptional
deletedbooleanOptional
blockedbooleanOptional
encryptedPinstringOptional
gateOutstring · date-timeOptional
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
ownerstringOptional
creatorstringOptional
get/releases
GET /tmining/api/v1/releases HTTP/1.1
Host: url:port
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "release_data": {
      "billOfLading": {
        "blNumber": "text",
        "portOfLoading": "text",
        "portOfDestination": "text",
        "vessel": "text",
        "agent": "text",
        "stayNumber": "text",
        "lloydsNumber": "text",
        "voyageNumber": "text",
        "lineCode": "text"
      },
      "container": {
        "containerNumber": "text",
        "containerStatus": "released",
        "pickupLocation": "text",
        "turnInLocation": "text",
        "turnInReference": "text",
        "termsAndConditions": "text",
        "validFrom": "2026-01-01T00:00:00.000Z",
        "validUntil": "2026-01-01T00:00:00.000Z",
        "isoTypeCode": "text",
        "loadStatus": "text",
        "moveType": "text"
      }
    },
    "address": "text",
    "deleted": true,
    "blocked": true,
    "encryptedPin": "text",
    "gateOut": "2026-01-01T00:00:00.000Z",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "owner": "text",
    "creator": "text",
    "greenLights": {
      "total": "text",
      "events": {
        "customs": {
          "color": "text",
          "value": "text",
          "updatedAt": "2026-01-01T00:00:00.000Z"
        },
        "pickuplight": {
          "color": "text",
          "value": "text",
          "updatedAt": "2026-01-01T00:00:00.000Z"
        },
        "gateoperation": {
          "color": "text",
          "value": "text",
          "updatedAt": "2026-01-01T00:00:00.000Z"
        },
        "terminalready": {
          "color": "text",
          "value": "text",
          "updatedAt": "2026-01-01T00:00:00.000Z"
        },
        "customsprogress": {
          "color": "text",
          "value": "text",
          "updatedAt": "2026-01-01T00:00:00.000Z"
        },
        "commercialrelease": {
          "color": "text",
          "value": "text",
          "updatedAt": "2026-01-01T00:00:00.000Z"
        },
        "terminaloperation": {
          "color": "text",
          "value": "text",
          "updatedAt": "2026-01-01T00:00:00.000Z"
        }
      }
    }
  }
]

Get one release

get
/releases/{address}

Get the data of a single release identified by its address, excluding the pincode.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
addressstringRequired
Responses
200

Successful response

application/json
addressstringOptional
deletedbooleanOptional
blockedbooleanOptional
encryptedPinstringOptional
gateOutstring · date-timeOptional
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
ownerstringOptional
creatorstringOptional
get/releases/{address}
GET /tmining/api/v1/releases/{address} HTTP/1.1
Host: url:port
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "release_data": {
    "billOfLading": {
      "blNumber": "text",
      "portOfLoading": "text",
      "portOfDestination": "text",
      "vessel": "text",
      "agent": "text",
      "stayNumber": "text",
      "lloydsNumber": "text",
      "voyageNumber": "text",
      "lineCode": "text"
    },
    "container": {
      "containerNumber": "text",
      "containerStatus": "released",
      "pickupLocation": "text",
      "turnInLocation": "text",
      "turnInReference": "text",
      "termsAndConditions": "text",
      "validFrom": "2026-01-01T00:00:00.000Z",
      "validUntil": "2026-01-01T00:00:00.000Z",
      "isoTypeCode": "text",
      "loadStatus": "text",
      "moveType": "text"
    }
  },
  "address": "text",
  "deleted": true,
  "blocked": true,
  "encryptedPin": "text",
  "gateOut": "2026-01-01T00:00:00.000Z",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "owner": "text",
  "creator": "text",
  "greenLights": {
    "total": "text",
    "events": {
      "customs": {
        "color": "text",
        "value": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z"
      },
      "pickuplight": {
        "color": "text",
        "value": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z"
      },
      "gateoperation": {
        "color": "text",
        "value": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z"
      },
      "terminalready": {
        "color": "text",
        "value": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z"
      },
      "customsprogress": {
        "color": "text",
        "value": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z"
      },
      "commercialrelease": {
        "color": "text",
        "value": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z"
      },
      "terminaloperation": {
        "color": "text",
        "value": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z"
      }
    }
  }
}